.Overlay {
    position: fixed;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background: #000;
    opacity: .8;
    transition: visibility .3s, opacity .3s, transform .3s;
}

    .Overlay[data-state="off"] {
        visibility: hidden;
        opacity: 0;
        transform: scale(.8);
    }


.CustomModal {
    position: absolute;
    top: 0;
    left: 50%;
    width: 300px;
    padding: 50px;
    margin: 0 0 0 -200px;
    background: #fff;
    transition: visibility .3s, opacity .3s, transform .3s;
}

    .CustomModal[data-state="off"] {
        visibility: hidden;
        opacity: 0;
        transform: scale(.6);
    }

    .CustomModal.Black {
        width: 500px;
        margin-left: -300px;
        background: #000;
        color: #fff;
    }
